using System;
using System.Collections.Generic;
using System.Text;

namespace Utils.NetworkThread.Exceptions
{
    /// <summary>
    /// General exception in Network Thread
    /// </summary>
    public class NetworkThreadException : Exception
    {
        #region Constructors
        /// <summary>
        /// Constructor
        /// </summary>
        public NetworkThreadException() : base() { }
        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="_Message">Error Message</param>
        public NetworkThreadException(string _Message) : base(_Message) { }
        #endregion
    }
    /// <summary>
    /// There is data which are unassigned in the object
    /// </summary>
    public class DataUnassignedException : NetworkThreadException
    {     
        /// <summary>
        /// Constructor
        /// </summary>
        public DataUnassignedException() : base() { }
        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="_Message">Error Message</param>
        public DataUnassignedException(string _Message) : base(_Message) { }             
    }
}
